1. Bill Payments
Almara Pay Documentation
  • Introduction
  • Definitions
    • Data Types
    • Error Codes
    • MCCMNC Codes
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Payouts
    • Overview
    • Payment Order Request Information
    • Mobile Money Requests
      • Overview
      • Mobile Transfers- Safaricom (M-Pesa)
      • Mobile Transfers - Airtel Money
    • Payment Order Requests - Business Transfers
      POST
    • Payment Order Requests - Bank Transfers
      POST
    • Find Payment Order By OriginatorConversationId
      GET
    • Reject Order By OriginatorConversationId
      POST
  • Pay-Ins
    • Payment Links
      • Overview
      • Create Payment Link
      • Find Payment Links By Id
      • Update Payment Link
    • Express Deposits
      • Overview
      • Express Deposit Request
      • Find Express Deposit By OriginatorConversationId
    • C2B IPN (Callback)
      • C2B IPN Overview
  • Card Payments
    • Overview
    • Checkout Order Request
    • Query Checkout Request
    • Checkout Callback Request
  • Account Validation
    • Overview
    • Account Number Validation Request
    • Find KYC Status by SystemTraceAuditNumber
    • Account Validation
    • Find Account Validation Status by SystemTraceAuditNumber
  • Platform Services
    • Airtime Purchase
      • Overview
      • Airtime Purchase
      • Find Airtime Purchases By OriginatorConversationId
    • Customer Accounts
      • Balance Check
      • Find Charges By TransactionTypeId
    • Bill Payments
      • Overview
      • Bill Request Validation
        POST
      • Bill Request Payment
        POST
      • Find Bill Services
        GET
      • Find Bill Number By Service Id and Account Number
        GET
      • Find Bill Request By Originator Converstion Id
        GET
      • Bill Number
        POST
  1. Bill Payments

Find Bill Request By Originator Converstion Id

GET
/v1/bill-payments
This is a GET request that retrieves the status of bill payment request using the OriginatorConversationId.
Pass the OriginatorConversationId as a query parameter to identify the transaction.

Sample success response:#

{
    "systemConversationId": "01000000-0012-0a00-aace-08de8fba4f88",
    "originatorConversationId": "68022bce-0453-45f9-a897-047db75fc39e",
    "serviceCode": null,
    "accountNumber": "1111111",
    "msisdn": "254710000000",
    "amount": 15,
    "datePaymentReceived": "2026-04-01 06:45:49",
    "accountCustomerName": "IRENE MWAURA MUTHONI",
    "customerNames": "IRENE MWAURA MUTHONI",
    "countryCode": "KE",
    "currencyCode": "KES",
    "transactionType": 2,
    "dueAmount": 0,
    "dueDate": null,
    "narration": "Testing",
    "receiptNumber": null,
    "receiverNarration": null,
    "status": 6,
    "transactionStatusDescription": "Failed",
    "statusCode": 0,
    "statusDescription": null,
    "totalRecordsPendingAck": "0",
    "totalRecordsPendingQuery": "0",
    "active": null,
    "callbackURL": "https://bright-sparrow-35.webhook.cool",
    "byPassCustomerValidation": false
}

Request

Authorization
Query Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/v1/bill-payments?OriginatorConversationId'
Response Response Example
{}
Modified at 2026-04-30 05:53:25
Previous
Find Bill Number By Service Id and Account Number
Next
Bill Number
Built with